## NAME

v.net.connectivity - Computes vertex connectivity between two sets of nodes in the network.

## KEYWORDS

vector, network, connectivity

## SYNOPSIS

v.net.connectivity
v.net.connectivity help
v.net.connectivity input=name [layer=integer] output=name [ncolumn=name] [set1_layer=integer] [set1_cats=range] [set1_where=sql_query] [set2_layer=integer] [set2_cats=range] [set2_where=sql_query] [--overwrite] [--verbose] [--quiet]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input vector map
layer=integer
  Layer number
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
output=name
  Name for output vector map
ncolumn=name
  Name of node capacity column
set1_layer=integer
  Set1 layer number or name
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
set1_cats=range
  Set1 category values
  Example: 1,3,7-9,13
set1_where=sql_query
  Set1 WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and inhab >= 10000
set2_layer=integer
  Layer number
  Set2 layer number or name
  Default: 1
set2_cats=range
  Category values
  Set2 category values
set2_where=sql_query
  Set2 WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and inhab >= 10000

## DESCRIPTION

v.net.connectivity computes vertex connectivity between two sets, i.e. the minimum number of vertices whose removal would separate two given sets.

## NOTES

Two sets (set1 and set2) are specified by respective layer, where and cats parameters. Similarly to v.net.flow module, capacities of nodes can be given by ncolumn option. v.net.connectivity finds the set of nodes of minimum total capacitiy separating the two given sets and outputs map containing points on the positions of these nodes. Default capacity, which is used when no column is specified, is one.

## EXAMPLES

The following command finds the minimum number of intersections separating roads on the left bank from roads on the right bank.

    v.net.connectivity input=roads output=roads_conn set1_where="bank=left" \
          set2_where="bank=right"

    v.net.connectivity input=airtraffic output=connectivity \
          set1_where="name=JFK" set2_where="name=Heathrow" ncolumn=capacity

## SEE ALSO

v.net, v.net.flow, v.net.bridge

## AUTHORS

Daniel Bundala, Google Summer of Code 2009, Student
Wolf Bergenheim, Mentor

Last changed: $Date: 2013-05-23 22:01:55 +0200 (čt, 23 V 2013) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team